class Zaehler (object) :
    '''Ausgangsklasse fuer einen einfachen Zaehler'''
    def __init__(self) :
        '''Konstruktor fuer Objekte vom Typ Zaehler'''
        self.stand = 0 # int

    def Zaehle (self) :
        '''zaehlt den Zaehler jeweils um 1 weiter'''
        self.stand += 1

    def GibStand (self) :
        '''zeigt den Stand des Zaehlers an'''
        return self.stand

class ZyklischerZaehler (Zaehler) :
    '''Klasse fuer einen zyklischen Zaehler,
    der nach Erreichen der Zyklenlaenge
    auf 0 zurueckgesetzt wird'''

    def __init__(self, zyklusLaenge) :
        '''Konstruktor fuer einen zyklischen Zaehler
        mit uebergebener Zyklenlaenge'''
        Zaehler.__init__(self)
        self.zyklusLaenge = zyklusLaenge # int

    def Zaehle (self) :
        '''zaehlt den Zaehler jeweils um 1 weiter und
        setzt bei Erreichen der Zykluslaenge auf 0 zurueck'''
        super(ZyklischerZaehler, self).Zaehle()
        if self.GibStand()==self.zyklusLaenge:
                self.stand = 0 # Kapselung?
